javax.xml.xpath

## Interface XPathFunction

-     public interface XPathFunction

  `XPathFunction` provides access to XPath functions.

  Functions are identified by QName and arity in XPath.

  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `evaluate(List args)` Evaluate the function with the specified arguments.

- - ### Method Detail

    - #### evaluate

          Object evaluate(List args)
                          throws XPathFunctionException

      Evaluate the function with the specified arguments.

      To the greatest extent possible, side-effects should be avoided in the definition of extension functions. The implementation evaluating an XPath expression is under no obligation to call extension functions in any particular order or any particular number of times.

      Parameters:
        `args` - The arguments, `null` is a valid value.
      Returns:
        The result of evaluating the `XPath` function as an `Object`.
      Throws:
        `XPathFunctionException` - If `args` cannot be evaluated with this `XPath` function.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.